VST 3 SDK: ParameterChanges Class Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

Public Member Functions | Protected Attributes | List of all members
ParameterChanges Class Reference
Common Hosting SDK Implementation Helper Classes

Implementation's example of IParameterChanges - not threadsave!. More...

`#include <parameterchanges.h>`

Inheritance diagram for ParameterChanges:

## Public Member Functions
| ParameterChanges (int32 maxParameters=0)
virtual | ~ParameterChanges ()
void | clearQueue ()
void | setMaxParameters (int32 maxParameters)
int32 | getParameterCount () SMTG_OVERRIDE
IParamValueQueue * | getParameterData (int32 index) SMTG_OVERRIDE
IParamValueQueue * | addParameterData (const ParamID &pid, int32 &index) SMTG_OVERRIDE
virtual int32 | getParameterCount ()=0
virtual IParamValueQueue * | getParameterData (int32 index)=0
virtual IParamValueQueue * | addParameterData (const ParamID &id, int32 &index)=0
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Protected Attributes
std::vector< IPtr< ParameterValueQueue > > | queues
int32 | usedQueueCount {0}

## Additional Inherited Members
Static Public Attributes inherited from IParameterChanges
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Implementation's example of IParameterChanges - not threadsave!.

## Constructor & Destructor Documentation

## ◆ ParameterChanges()

ParameterChanges | ( | int32 | maxParameters = `0` | ) |

## ◆ ~ParameterChanges()

~ParameterChanges | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ clearQueue()

void clearQueue | ( |  | ) |

## ◆ setMaxParameters()

void setMaxParameters | ( | int32 | maxParameters | ) |

## ◆ getParameterCount()

int32 getParameterCount | ( |  | ) |
| virtual

Implements IParameterChanges.

## ◆ getParameterData()

IParamValueQueue * getParameterData | ( | int32 | index | ) |
| virtual

Implements IParameterChanges.

## ◆ addParameterData()

IParamValueQueue * addParameterData | ( | const ParamID & | pid,
|  | int32 & | index
| ) |  |
| virtual

Implements IParameterChanges.

## Member Data Documentation

## ◆ queues

std::vector<IPtr<ParameterValueQueue> > queues
| protected

## ◆ usedQueueCount

int32 usedQueueCount {0}
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.